<xml> </xml>

db4o |

# ExtObjectContainer.Refresh Method

refreshs all members on a stored object to the specified depth.

void Refresh(
object obj,
int depth
);

#### Parameters

obj
  the object to be refreshed.
depth
  the member depth to which refresh is to cascade.

#### Remarks

refreshs all members on a stored object to the specified depth.
If a member object is not activated, it will be activated by this method.
The isolation used is READ COMMITTED. This method will read all objects and values that have been committed by other transactions.

#### See Also

ExtObjectContainer Interface | com.db4o.ext Namespace